import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { GameController } from './game.controller';
import { GameService } from './game.service';
import { GameEntity, FactionEntity, Game_PersonEntity } from './game.entity';
import { PersonEntity } from 'src/user/user.entity';

@Module({
  imports: [TypeOrmModule.forFeature([GameEntity, FactionEntity, Game_PersonEntity, PersonEntity])],
  controllers: [GameController],
  providers: [GameService]
})
export class GameModule {}